Package com.smartgwt.client.types

# Enum LayoutResizeBarPolicy

java.lang.Object
java.lang.Enum<LayoutResizeBarPolicy>
com.smartgwt.client.types.LayoutResizeBarPolicy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LayoutResizeBarPolicy>`, `Constable`

public enum LayoutResizeBarPolicy extends Enum<LayoutResizeBarPolicy> implements ValueEnum
Policy for whether resize bars are shown on members by default.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  resize bars are shown on all resizable members that are not explicitly marked showResizeBar:false, including the last member.
  `MARKED`
  resize bars are only shown on members marked `showResizeBar:true`
  `MIDDLE`
  resize bars are shown on all resizable members that are not explicitly marked showResizeBar:false, except the last member.
  `NONE`
  resize bars are not shown even if members are marked with `showResizeBar:true`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LayoutResizeBarPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LayoutResizeBarPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MARKED

    public static final LayoutResizeBarPolicy MARKED
    resize bars are only shown on members marked `showResizeBar:true`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "marked".

  - ### MIDDLE

    public static final LayoutResizeBarPolicy MIDDLE
    resize bars are shown on all resizable members that are not explicitly marked showResizeBar:false, except the last member. Appropriate for a `LayoutPolicy` of "fill" (VLayout, HLayout) since the overall space will always be filled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "middle".

  - ### ALL

    public static final LayoutResizeBarPolicy ALL
    resize bars are shown on all resizable members that are not explicitly marked showResizeBar:false, including the last member. Can be appropriate for a `LayoutPolicy` of "none" (VStack, HStack) since the overall size of the layout is dictated by it's member's sizes.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

  - ### NONE

    public static final LayoutResizeBarPolicy NONE
    resize bars are not shown even if members are marked with `showResizeBar:true`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static LayoutResizeBarPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LayoutResizeBarPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`